uicc.access.fileadministration

## Class AdminException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javacard.framework.CardRuntimeException
        - - uicc.access.fileadministration.AdminException

- All Implemented Interfaces:
    java.io.Serializable

      public class AdminException
      extends javacard.framework.CardRuntimeException

  The `AdminException class` encapsulates specific exceptions which can be thrown by the methods of an object, that implements an AdminFileView interface, in case of error.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `CONDITIONS_OF_USE_NOT_SATISFIED` This reason code (=3) is used to indicate that the conditions of use are not satisfied.
    `static short` | `DF_NAME_ALREADY_EXISTS` This reason code (=5) is used to indicate that the DF name already exists (only for creation of a DF and if a DF Name TLV is used)
    `static short` | `FILE_ALREADY_EXISTS` This reason code (=2) is used to indicate that the file already exists.
    `static short` | `INCORRECT_PARAMETERS` This reason code (=1) is used to indicate that the parameters in the data field are incorrect.
    `static short` | `NOT_ENOUGH_MEMORY_SPACE` This reason code (=4) is used to indicate that there is not enough memory

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminException(short reason)` Constructs a AdminException with the specified reason.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `throwIt(short reason)` Throws the JCRE instance of AdminException with the specified reason.

    - ### Methods inherited from class javacard.framework.CardRuntimeException

      `getReason, setReason`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INCORRECT_PARAMETERS

          public static final short INCORRECT_PARAMETERS

      This reason code (=1) is used to indicate that the parameters in the data field are incorrect.
      See Also:
        Constant Field Values

    - #### FILE_ALREADY_EXISTS

          public static final short FILE_ALREADY_EXISTS

      This reason code (=2) is used to indicate that the file already exists.
      See Also:
        Constant Field Values

    - #### CONDITIONS_OF_USE_NOT_SATISFIED

          public static final short CONDITIONS_OF_USE_NOT_SATISFIED

      This reason code (=3) is used to indicate that the conditions of use are not satisfied.
      See Also:
        Constant Field Values

    - #### NOT_ENOUGH_MEMORY_SPACE

          public static final short NOT_ENOUGH_MEMORY_SPACE

      This reason code (=4) is used to indicate that there is not enough memory
      See Also:
        Constant Field Values

    - #### DF_NAME_ALREADY_EXISTS

          public static final short DF_NAME_ALREADY_EXISTS

      This reason code (=5) is used to indicate that the DF name already exists (only for creation of a DF and if a DF Name TLV is used)
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AdminException

          public AdminException(short reason)

      Constructs a AdminException with the specified reason. To conserve on resources use `throwIt()` to use the JCRE instance of this class.
      Parameters:
        `reason` - the reason for the exception

  - ### Method Detail

    - #### throwIt

          public static void throwIt(short reason)
                              throws AdminException

      Throws the JCRE instance of AdminException with the specified reason.
      Parameters:
        `reason` - is the reason for the exception
      Throws:
        `AdminException` - always